# Uses of Class
it.tdlight.jni.TdApi.ReadDatePrivacySettings

## Uses of TdApi.ReadDatePrivacySettings in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ReadDatePrivacySettings
Modifier and Type
Field
Description
`TdApi.ReadDatePrivacySettings`
TdApi.SetReadDatePrivacySettings.`settings`
New settings.
Constructors in it.tdlight.jni with parameters of type TdApi.ReadDatePrivacySettings
Modifier
Constructor
Description
``
`SetReadDatePrivacySettings(TdApi.ReadDatePrivacySettings settings)`
Changes privacy settings for message read date.